Skip to main content
`Ctrl`+`K`

# PetscLogGetState

Get the `PetscLogState` for PETSc’s global logging, used by all default log handlers (`PetscLogDefaultBegin()`, `PetscLogNestedBegin()`, `PetscLogTraceBegin()`, `PetscLogMPEBegin()`, `PetscLogPerfstubsBegin()`).

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogGetState(PetscLogState *state)

Collective on `PETSC_COMM_WORLD`

## Output Parameter

- state - The `PetscLogState` changed by registrations (such as `PetscLogEventRegister()`) and actions (such as `PetscLogEventBegin()` or `PetscLogStagePush()`), or `NULL` if logging is not active

## See Also

Profiling, `PetscLogState`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages